Uses of Class
io.helidon.json.JsonObject
Packages that use JsonObject
Package
Description
Helidon JSON support for Helidon Database Client.
Helidon JSON Media Support.
Common classes for accessing JSON based REST APIs of third party systems.
Implementation of OCI integrations.
Common classes for Vault integration.
Helidon JSON Processor.
Helidon implementation of the
Jackson Smile binary JSON specification.
Core classes used by both the JSON-RPC server and gRPC client.
JWT (JSON web token) support.
JWK (JSON web key) support.
Open ID Connect (OIDC) classes usable from all OIDC related components.
Helidon WebClient JSON-RPC Support.
Helidon WebServer JSON-RPC Support.
-
Uses of JsonObject in io.helidon.dbclient.json
Methods in io.helidon.dbclient.json that return JsonObjectMethods in io.helidon.dbclient.json with parameters of type JsonObjectModifier and TypeMethodDescriptionJsonMapper.toIndexedParameters(JsonObject value) JsonMapper.toNamedParameters(JsonObject value) -
Uses of JsonObject in io.helidon.http.media.json
Fields in io.helidon.http.media.json with type parameters of type JsonObjectModifier and TypeFieldDescriptionstatic final GenericType<JsonObject> JsonSupport.JSON_OBJECT_TYPEGeneric type of this type, as it is required when this media type is used programmatically.Methods in io.helidon.http.media.json that return types with arguments of type JsonObjectModifier and TypeMethodDescriptionstatic EntityReader<JsonObject> JsonSupport.serverRequestReader()Create a JSON reader with default settings.static EntityWriter<JsonObject> JsonSupport.serverResponseWriter()Create a JSON writer with default settings. -
Uses of JsonObject in io.helidon.integrations.common.rest
Methods in io.helidon.integrations.common.rest that return types with arguments of type JsonObjectModifier and TypeMethodDescriptionApiJsonBuilder.toJson()Create a Helidon JSON object from this builder.default Optional<JsonObject> ApiRequest.toJson()Return the Helidon JSON object used for POST and PUT requests (and other methods if needed).protected static Optional<JsonObject> ApiJsonParser.toObject(JsonObject json, String name) Get a child JSON object.Methods in io.helidon.integrations.common.rest with parameters of type JsonObjectModifier and TypeMethodDescriptionApiJsonParser.isPresent(JsonObject json, String name) If the property is present on the JSON object, returns a non-empty optional, otherwise returns an empty.protected <T> TRestApiBase.jsonOkResponse(String path, ApiRequest<?> request, Method method, String requestId, HttpClientResponse response, JsonObject json, ResponseBuilder<?, T, JsonObject> responseBuilder) Builds the response using the response builder provided.protected ApiRestExceptionRestApiBase.readError(String path, ApiRequest<?> request, Method method, String requestId, HttpClientResponse response, JsonObject errorObject) Read error with a JSON entity.protected Supplier<HttpClientResponse> RestApiBase.requestJsonPayload(String path, ApiRequest<?> request, Method method, String requestId, HttpClientRequest requestBuilder, JsonObject jsonObject) Create a supplier for a response with JSON request.ApiJsonParser.toBoolean(JsonObject json, String name) Get a boolean value.protected static Optional<byte[]> ApiJsonParser.toBytesBase64(JsonObject json, String name) Get bytes from a base64 string value.ApiJsonParser.toDouble(JsonObject json, String name) Get a double value.ApiJsonParser.toInstant(JsonObject json, String name, DateTimeFormatter formatter) Get anInstantvalue.ApiJsonParser.toInt(JsonObject json, String name) Get an int value.ApiJsonParser.toList(JsonObject json, String name) Convert a JSON array in the JSON object to a list of strings.ApiJsonParser.toLong(JsonObject json, String name) Get a long value.ApiJsonParser.toMap(JsonObject json, String name) Get a map value.protected static Optional<JsonObject> ApiJsonParser.toObject(JsonObject json, String name) Get a child JSON object.ApiJsonParser.toString(JsonObject json, String name) Get a string value.protected HttpClientRequestRestApiBase.updateRequestBuilder(HttpClientRequest requestBuilder, String path, ApiRequest<?> request, Method method, String requestId, JsonObject jsonObject) Update request builder with no request payload.Method parameters in io.helidon.integrations.common.rest with type arguments of type JsonObjectModifier and TypeMethodDescriptiondefault <R,T extends ApiOptionalResponse<R>>
TRestApi.getJson(String path, ApiRequest<?> request, ApiOptionalResponse.BuilderBase<?, T, JsonObject, R> responseBuilder) Get with an optional Helidon JSON response.protected <T extends ApiEntityResponse>
TRestApiBase.handleHelidonJsonResponse(String path, ApiRequest<?> request, Method method, String requestId, HttpClientResponse response, ApiEntityResponse.Builder<?, T, JsonObject> responseBuilder) Reads JsonObject from response entity and either calls thejsonOkResponse.protected <R,T extends ApiOptionalResponse<R>>
TRestApiBase.handleOptionalHelidonJsonResponse(String path, ApiRequest<?> request, Method method, String requestId, HttpClientResponse response, ApiOptionalResponse.BuilderBase<?, T, JsonObject, R> responseBuilder) Handle response for optional JSON entity.<R,T extends ApiOptionalResponse<R>>
TRestApi.invokeOptionalJson(Method method, String path, ApiRequest<?> request, ApiOptionalResponse.BuilderBase<?, T, JsonObject, R> responseBuilder) Invoke a request that may yield an entity.<R,T extends ApiOptionalResponse<R>>
TRestApiBase.invokeOptionalJson(Method method, String path, ApiRequest<?> request, ApiOptionalResponse.BuilderBase<?, T, JsonObject, R> responseBuilder) <T extends ApiEntityResponse>
TRestApi.invokeWithJsonResponse(Method method, String path, ApiRequest<?> request, ApiEntityResponse.Builder<?, T, JsonObject> responseBuilder) Invoke a request that is expected to yield an entity.<T extends ApiEntityResponse>
TRestApiBase.invokeWithJsonResponse(Method method, String path, ApiRequest<?> request, ApiEntityResponse.Builder<?, T, JsonObject> responseBuilder) protected <T> TRestApiBase.jsonOkResponse(String path, ApiRequest<?> request, Method method, String requestId, HttpClientResponse response, JsonObject json, ResponseBuilder<?, T, JsonObject> responseBuilder) Builds the response using the response builder provided. -
Uses of JsonObject in io.helidon.integrations.oci
Methods in io.helidon.integrations.oci that return JsonObjectModifier and TypeMethodDescriptionImdsInstanceInfo.BuilderBase.ImdsInstanceInfoImpl.json()ImdsInstanceInfo.json()Instance Data.Methods in io.helidon.integrations.oci that return types with arguments of type JsonObjectMethods in io.helidon.integrations.oci with parameters of type JsonObjectModifier and TypeMethodDescriptionImdsInstanceInfo.BuilderBase.json(JsonObject json) Instance Data.Method parameters in io.helidon.integrations.oci with type arguments of type JsonObjectModifier and TypeMethodDescriptionImdsInstanceInfo.BuilderBase.json(Supplier<? extends JsonObject> supplier) Instance Data. -
Uses of JsonObject in io.helidon.integrations.vault.auths.common
Methods in io.helidon.integrations.vault.auths.common with parameters of type JsonObjectModifier and TypeMethodDescriptionprotected ApiRestExceptionVaultRestApi.readError(String path, ApiRequest<?> request, Method method, String requestId, HttpClientResponse response, JsonObject entity) -
Uses of JsonObject in io.helidon.json
Methods in io.helidon.json that return JsonObjectModifier and TypeMethodDescriptionJsonValue.asObject()Cast this value to a JsonObject if it is of object type.JsonObject.Builder.build()Builds the JsonObject from the current builder state.static JsonObjectCreate a JsonObject from a map of string keys to JsonValue instances.static JsonObjectJsonObject.empty()Returns the shared empty JSON object instance.JsonObject.objectValue(String key, JsonObject defaultValue) Return the JsonObject value associated with the specified key, or the default value if the key is not present.JsonParser.readJsonObject()Reads a JSON object from the current position.JsonParserBase.readJsonObject()ObjectStartParser.readJsonObject()Methods in io.helidon.json that return types with arguments of type JsonObjectModifier and TypeMethodDescriptionJsonObject.objectValue(String key) Return the JsonObject value associated with the specified key as an Optional.Methods in io.helidon.json with parameters of type JsonObjectModifier and TypeMethodDescriptionJsonObject.Builder.from(JsonObject object) Copies all properties from the provided object into this builder.JsonObject.objectValue(String key, JsonObject defaultValue) Return the JsonObject value associated with the specified key, or the default value if the key is not present. -
Uses of JsonObject in io.helidon.json.smile
Methods in io.helidon.json.smile that return JsonObject -
Uses of JsonObject in io.helidon.jsonrpc.core
Methods in io.helidon.jsonrpc.core that return JsonObjectModifier and TypeMethodDescriptionJsonRpcError.asJsonObject()Access the error as a JSON object.JsonRpcParams.asJsonObject()Access all request params as a single JSON object.JsonRpcResult.asJsonObject()Access a response result as a JSON object.static JsonObjectJsonUtil.toJsonObject(Object object) Convert a bound Java object into a JSON object.Methods in io.helidon.jsonrpc.core with parameters of type JsonObjectModifier and TypeMethodDescriptionstatic JsonRpcErrorJsonRpcError.create(JsonObject error) Create an instance from a JSON object.static <T> TJsonUtil.fromJson(JsonObject object, Class<T> type) Convert a JSON object into a Java object. -
Uses of JsonObject in io.helidon.security.jwt
Methods in io.helidon.security.jwt that return JsonObjectModifier and TypeMethodDescriptionJwt.headerJsonObject()Create a JSON header object.JwtHeaders.headerJsonObject()Create a JSON header object.JwtUtil.Address.jsonObject()Create a json representation of this address.Jwt.payloadJsonObject()Create a JSON payload object.Methods in io.helidon.security.jwt with parameters of type JsonObjectModifier and TypeMethodDescriptionstatic BigIntegerJwtUtil.asBigInteger(JsonObject json, String key, String description) Extract a key value from json object that is base64-url encoded and convert it to big integer.static byte[]JwtUtil.asByteArray(JsonObject json, String key, String description) Extract a key value from json object that is a base64-url encoded byte array.static StringJwtUtil.asString(JsonObject json, String key, String description) Extract a key value from json object that is string.static Optional<BigInteger> JwtUtil.getBigInteger(JsonObject json, String key, String description) Extract a key value from json object that is base64-url encoded and convert it to big integer if present.static Optional<byte[]> JwtUtil.getByteArray(JsonObject json, String key, String description) Extract a key value from json object that is a base64-url encoded byte array, if present.JwtUtil.getString(JsonObject json, String key) Extract a key value from json object that is string if present.JwtUtil.getStrings(JsonObject json, String key) Extract a key value from json object that is a list of strings if present.Constructors in io.helidon.security.jwt with parameters of type JsonObjectModifierConstructorDescriptionAddress(JsonObject jsonObject) Create an address object from json representation. -
Uses of JsonObject in io.helidon.security.jwt.jwk
Methods in io.helidon.security.jwt.jwk with parameters of type JsonObjectModifier and TypeMethodDescriptionstatic JwkJwk.create(JsonObject json) Create an instance from Json object.static JwkECJwkEC.create(JsonObject json) Create an instance from Json object.static JwkKeysJwkKeys.create(JsonObject json) Create Jwk keys from its JSON representation.static JwkOctetJwkOctet.create(JsonObject json) Create an instance from Json object.static JwkRSAJwkRSA.create(JsonObject json) Create an instance from Json object.JwkEC.Builder.fromJson(JsonObject json) Update this builder from JWK in json format.JwkOctet.Builder.fromJson(JsonObject json) Update this builder from JWK in json format.JwkRSA.Builder.fromJson(JsonObject json) Update this builder from JWK in json format.JwkKeys.Builder.json(JsonObject json) Load keys from JSON. -
Uses of JsonObject in io.helidon.security.providers.oidc.common
Methods in io.helidon.security.providers.oidc.common that return JsonObjectModifier and TypeMethodDescriptiondefault JsonObjectTenantConfig.oidcMetadataJsonObject()OIDC metadata in Helidon JSON.Methods in io.helidon.security.providers.oidc.common with parameters of type JsonObjectModifier and TypeMethodDescriptionBaseBuilder.oidcMetadataJsonObject(JsonObject metadata) Helidon JSON with the OIDC metadata. -
Uses of JsonObject in io.helidon.webclient.jsonrpc
Methods in io.helidon.webclient.jsonrpc that return JsonObjectModifier and TypeMethodDescriptionJsonRpcClientRequest.asJsonObject()Get a complete representation of this request as a JSON object.JsonRpcClientResponse.asJsonObject()Get a complete response representation as a JSON object. -
Uses of JsonObject in io.helidon.webserver.jsonrpc
Methods in io.helidon.webserver.jsonrpc that return JsonObjectModifier and TypeMethodDescriptionJsonRpcRequest.asJsonObject()Get a complete request as a JSON object.JsonRpcResponse.asJsonObject()Get a complete response as a JSON object.Methods in io.helidon.webserver.jsonrpc with parameters of type JsonObjectModifier and TypeMethodDescriptionJsonRpcErrorHandler.handle(ServerRequest req, JsonObject jsonObject) Handler for a JSON-RPC erroneous request.